Bug 438982 - Review Request: pyfits - Python interface to FITS
Summary: Review Request: pyfits - Python interface to FITS
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-26 12:01 UTC by Sergio Pascual
Modified: 2009-02-20 20:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 19:00:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Sergio Pascual 2008-03-26 12:01:17 UTC
Spec URL: http://sergiopr.fedorapeople.org/pyfits.spec
SRPM URL: http://sergiopr.fedorapeople.org/pyfits-1.3-1.src.rpm
Description:
PyFITS provides an interface to FITS formatted files under the Python 
scripting language. It is useful both for interactive data analysis and for 
writing analysis scripts in Python using FITS files as either input or output.

Comment 1 Jason Tibbitts 2008-04-05 04:27:25 UTC
Builds OK; rpmlint says:
  pyfits.src:26: W: setup-not-quiet
Not a big deal; you can fix it by using "%setup -q".

  pyfits.noarch: E: non-executable-script 
   /usr/lib/python2.5/site-packages/pyfits/NP_pyfits.py 0644
  pyfits.noarch: E: non-executable-script 
   /usr/lib/python2.5/site-packages/pyfits/NA_pyfits.py 0644
These files start with #!/whatever but aren't executable.  For some reason,
python programmers like to start all of their files that way even when they
aren't supposed to be executable.  I have no idea why, but I've given up trying
to fix every package which does this.  If you want it to go away, strip the
first lines of those files in %prep:
  sed -i -e "1d" lib/NP_pyfits.py lib/NA_pyfits.py

Why does this require python-setuputils at runtime?

There is an included test suite.  If it's possible to run it at build time then
you should add a %check section.

* source files match upstream:
   a6b01c9d75e7955765019581700bd6ac344457b327522facedaf4cff9e86093c  
   pyfits-1.3.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
? not sure about the setuptools dependency:
   pyfits = 1.3-1
  =
   numpy
   python(abi) = 2.5
?  python-setuptools

? %check is not present, but there seems to be an included test suite.  I am not 
  sure how to run it.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 2 Sergio Pascual 2008-04-06 11:50:19 UTC
I have removed python-setuptools from requires, I copied it from other packaged
that needs it.
Setup is fixed, and I have added your sed script line to remove the shebang line.

The test suite can only be run with pyfits installed. Anyway some of the tests
doesn't work (they require numarray to be installed instead of numpy). I have
mailed upstream about this last issue.

Spec URL: http://sergiopr.fedorapeople.org/pyfits.spec
SRPM URL: http://sergiopr.fedorapeople.org/pyfits-1.3-2.src.rpm



Comment 3 Jason Tibbitts 2008-04-08 01:53:27 UTC
Looks good.

rpmlint is silent and the dependencies are down to:
   pyfits = 1.3-2
  =
   numpy
   python(abi) = 2.5

Thanks for looking into the test suite.  You might consider commenting on it in
the specfile, but that's not a big deal.

APPROVED

Comment 4 Sergio Pascual 2008-04-08 08:06:20 UTC
Thanks, Jason. Upstream says that they are going to fix one of the tests, but
anyway, you need pyfits installed to run them.


New Package CVS Request
=======================
Package Name: pyfits
Short Description:  Python interface to FITS
Owners: sergiopr
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes


Comment 5 Kevin Fenzi 2008-04-08 18:03:36 UTC
cvs done.

Comment 6 Sergio Pascual 2009-02-20 12:35:12 UTC
Package Change Request
======================
Package Name: pyfits
New Branches: EL-5
Owners: sergiopr

Comment 7 Kevin Fenzi 2009-02-20 20:39:58 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.